> ## Documentation Index
> Fetch the complete documentation index at: https://docs.eldra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves all contact details for the authenticated user's portal.



## OpenAPI

````yaml https://raw.githubusercontent.com/FooBarBizarre/docs/refs/heads/main/api-reference/openapi.json get /contact-details
openapi: 3.0.1
info:
  title: Maia Backend API
  version: v1
servers: []
security: []
paths:
  /contact-details:
    get:
      tags:
        - ContactDetail
      summary: Retrieves all contact details for the authenticated user's portal.
      responses:
        '200':
          description: Successfully retrieved contact details.
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ContactDetail'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ContactDetail'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ContactDetail'
        '400':
          description: Error occurred while retrieving contact details.
components:
  schemas:
    ContactDetail:
      type: object
      properties:
        id:
          type: integer
          format: int32
        portalId:
          type: integer
          format: int32
        name:
          type: string
          nullable: true
        contactNumber:
          type: string
          nullable: true
        contactEmail:
          type: string
          nullable: true
        contactBetweenStart:
          type: string
          format: date-span
        contactBetweenEnd:
          type: string
          format: date-span
        priority:
          type: integer
          format: int32
        isActive:
          type: boolean
        createdAt:
          type: string
          format: date-time
        contactWhenFinalOutpost:
          type: boolean
      additionalProperties: false

````